/** 
 * DevExtreme (viz/docs/docBaseWidget.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var BaseWidget = {
    pathModified: false,
    rtlEnabled: DX.rtlEnabled,
    size: {
        width: void 0,
        height: void 0
    },
    margin: {
        left: 0,
        right: 0,
        top: 0,
        bottom: 0
    },
    redrawOnResize: true,
    onIncidentOccurred: function() {},
    svg: function() {},
    render: function() {},
    showLoadingIndicator: function() {},
    hideLoadingIndicator: function() {},
    exportTo: function() {},
    print: function() {},
    onDrawn: function() {},
    defaultOptions: function() {},
    width: void 0,
    height: void 0,
    theme: "generic.light",
    title: {
        verticalAlignment: "top",
        horizontalAlignment: "center",
        text: null,
        margin: {
            top: 10,
            bottom: 10,
            left: 10,
            right: 10
        },
        font: {
            family: "'Segoe UI Light', 'Helvetica Neue Light', 'Trebuchet MS', Verdana",
            weight: 200,
            color: "#232323",
            size: 28,
            opacity: void 0
        },
        placeholderSize: void 0,
        subtitle: {
            text: null,
            font: {
                family: "'Segoe UI Light', 'Helvetica Neue Light', 'Trebuchet MS', Verdana",
                weight: 200,
                color: "#232323",
                size: 16,
                opacity: void 0
            }
        }
    },
    "export": {
        enabled: false,
        printingEnabled: true,
        formats: ["PNG", "PDF", "JPEG", "SVG", "GIF"],
        fileName: "file",
        proxyUrl: void 0,
        backgroundColor: "#ffffff"
    },
    onExporting: function() {},
    onExported: function() {},
    onFileSaving: function() {},
    tooltip: {
        enabled: false,
        format: void 0,
        precision: void 0,
        color: "#ffffff",
        zIndex: void 0,
        container: void 0,
        opacity: void 0,
        border: {
            width: 1,
            color: "#d3d3d3",
            dashStyle: "solid",
            opacity: void 0,
            visible: true
        },
        font: {
            color: "#232323",
            size: 12,
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            opacity: void 0
        },
        arrowLength: 10,
        paddingLeftRight: 18,
        paddingTopBottom: 15,
        shadow: {
            opacity: .4,
            color: "#000000",
            offsetX: 0,
            offsetY: 4,
            blur: 2
        }
    },
    loadingIndicator: {
        show: false,
        text: "Loading...",
        backgroundColor: "#FFFFFF",
        font: {
            family: void 0,
            weight: void 0,
            color: "#767676",
            size: void 0,
            opacity: void 0
        }
    }
};
var tickInterval = {
    years: void 0,
    quarters: void 0,
    months: void 0,
    weeks: void 0,
    days: void 0,
    hours: void 0,
    minutes: void 0,
    seconds: void 0,
    milliseconds: void 0
};
