/** 
 * DevExtreme (viz/docs/docGaugeIndicators.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var commonIndicator = {
    color: "#C2C2C2",
    baseValue: void 0,
    size: 10,
    backgroundColor: "none",
    text: {
        indent: 0,
        format: void 0,
        precision: void 0,
        customizeText: void 0,
        font: {
            color: null,
            size: 14,
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            opacity: 1
        }
    },
    length: 15,
    width: 2,
    arrowLength: 5,
    palette: void 0,
    offset: 20,
    indentFromCenter: 0,
    secondColor: "#E18E92",
    secondFraction: .4,
    spindleSize: 14,
    spindleGapSize: 10,
    horizontalOrientation: "right",
    verticalOrientation: "bottom"
};
var circularRectangleNeedle = {};
var circularTriangleNeedle = {};
var circularTwoColorNeedle = {};
var circularRangeBar = {};
var circularTriangleMarker = {
    width: 13,
    length: 14
};
var circularTextCloud = {
    text: {
        font: {
            color: "#FFFFFF",
            size: 18
        }
    }
};
var linearRectangle = {
    width: 15,
    offset: 10
};
var linearCircle = {
    offset: 10
};
var linearRhombus = {
    width: 15,
    offset: 10
};
var linearRangeBar = {
    offset: 10
};
var linearTriangleMarker = {
    width: 13,
    length: 14,
    offset: 10
};
var linearTextCloud = {
    text: {
        font: {
            color: "#FFFFFF",
            size: 18
        }
    },
    offset: 10
};
