/** 
 * DevExtreme (viz/docs/docpiechartseries.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var commonPieChartSeries = {
    color: void 0,
    minSegmentSize: void 0,
    smallValuesGrouping: {
        mode: "none",
        topCount: void 0,
        threshold: void 0,
        groupName: "others"
    },
    valueField: "val",
    argumentField: "arg",
    argumentType: void 0,
    tagField: "tag",
    border: {
        visible: false,
        width: 2,
        color: void 0,
        dashStyle: void 0
    },
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint",
    hoverStyle: {
        color: void 0,
        hatching: {
            direction: "right",
            width: 4,
            step: 10,
            opacity: .75
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: void 0
        }
    },
    selectionStyle: {
        color: void 0,
        hatching: {
            direction: "right",
            width: 4,
            step: 10,
            opacity: .5
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: void 0
        }
    },
    maxLabelCount: void 0,
    segmentsDirection: "clockwise",
    startAngle: 0,
    innerRadius: .5,
    label: {
        customizeText: void 0,
        visible: false,
        rotationAngle: 0,
        radialOffset: 0,
        format: "",
        precision: 0,
        argumentFormat: "",
        argumentPrecision: 0,
        percentPrecision: 0,
        position: "outside",
        font: {
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            color: "#FFFFFF",
            size: 14,
            opacity: void 0
        },
        backgroundColor: void 0,
        border: {
            visible: false,
            width: 1,
            color: "#d3d3d3",
            dashStyle: "solid"
        },
        connector: {
            visible: false,
            width: 1,
            color: void 0
        }
    }
};
var doughnutSeries = {};
var pieSeries = {};
