/** 
 * DevExtreme (viz/docs/docpolarchartseries.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var CommonPolarChartSeries = {
    color: void 0,
    closed: true,
    visible: true,
    opacity: .5,
    width: 2,
    dashStyle: "solid",
    stack: "default",
    axis: void 0,
    valueField: "val",
    argumentField: "arg",
    tagField: "tag",
    border: {
        visible: false,
        width: 2,
        color: void 0,
        dashStyle: void 0
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints",
    hoverStyle: {
        color: void 0,
        width: 3,
        dashStyle: "solid",
        hatching: {
            direction: "right",
            width: 2,
            step: 6,
            opacity: .75
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: "solid"
        }
    },
    selectionStyle: {
        color: void 0,
        width: 3,
        dashStyle: "solid",
        hatching: {
            direction: "right",
            width: 2,
            step: 6,
            opacity: .5
        },
        border: {
            visible: false,
            width: 3,
            color: void 0,
            dashStyle: "solid"
        }
    },
    point: {
        hoverMode: "onlyPoint",
        selectionMode: "onlyPoint",
        color: void 0,
        visible: true,
        symbol: "circle",
        image: {
            url: void 0,
            width: 30,
            height: 30
        },
        border: {
            visible: false,
            width: 1,
            color: void 0
        },
        size: 12,
        hoverStyle: {
            color: void 0,
            border: {
                visible: true,
                width: 4,
                color: void 0
            },
            size: 12
        },
        selectionStyle: {
            color: void 0,
            border: {
                visible: true,
                width: 4,
                color: void 0
            },
            size: 12
        }
    },
    showInLegend: true,
    maxLabelCount: void 0,
    minBarSize: void 0,
    ignoreEmptyPoints: false,
    label: {
        customizeText: void 0,
        visible: false,
        showForZeroValues: true,
        rotationAngle: 0,
        format: "",
        precision: 0,
        argumentFormat: "",
        argumentPrecision: 0,
        position: "outside",
        font: {
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            color: "#FFFFFF",
            size: 14,
            opacity: void 0
        },
        backgroundColor: void 0,
        border: {
            visible: false,
            width: 1,
            color: "#d3d3d3",
            dashStyle: "solid"
        },
        connector: {
            visible: false,
            width: 1,
            color: void 0
        }
    },
    valueErrorBar: {
        displayMode: "auto",
        lowValueField: void 0,
        highValueField: void 0,
        type: void 0,
        value: 1,
        color: "black",
        lineWidth: 2,
        edgeLength: 8,
        opacity: void 0
    }
};
var areaPolarSeries = {
    point: {
        visible: false
    },
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var barPolarSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
var linePolarSeries = {
    hoverMode: "nearestPoint",
    selectionMode: "includePoints"
};
var scatterPolarSeries = {};
var stackedbarPolarSeries = {
    hoverMode: "onlyPoint",
    selectionMode: "onlyPoint"
};
