/** 
 * DevExtreme (viz/docs/docsparklines.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var BaseSparkline = {
    redrawOnResize: void 0,
    title: void 0,
    "export": void 0,
    loadingIndicator: void 0,
    showLoadingIndicator: function() {},
    hideLoadingIndicator: function() {},
    tooltip: {
        enabled: true,
        verticalAlignment: "top",
        horizontalAlignment: "center",
        customizeTooltip: void 0
    },
    onTooltipShown: function() {},
    onTooltipHidden: function() {}
};
var dxSparkline = {
    dataSource: void 0,
    argumentField: "arg",
    valueField: "val",
    type: "line",
    lineColor: "#666666",
    lineWidth: 2,
    showFirstLast: true,
    showMinMax: false,
    minColor: "#e8c267",
    maxColor: "#e55253",
    firstLastColor: "#666666",
    barPositiveColor: "#a9a9a9",
    barNegativeColor: "#d7d7d7",
    winColor: "#a9a9a9",
    lossColor: "#d7d7d7",
    pointSymbol: "circle",
    pointSize: 4,
    pointColor: "#ffffff",
    winlossThreshold: 0,
    ignoreEmptyPoints: false,
    minValue: void 0,
    maxValue: void 0
};
var dxBullet = {
    value: 0,
    target: 0,
    startScaleValue: 0,
    endScaleValue: void 0,
    color: "#e8c267",
    targetColor: "#666666",
    targetWidth: 4,
    showTarget: true,
    showZeroLevel: true
};
