/** 
 * DevExtreme (viz/docs/docrangeselector.js)
 * Version: 16.1.4
 * Build date: Wed Jun 22 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: 
 */
"use strict";
var dxRangeSelector = {
    scale: {
        valueType: void 0,
        type: "continuous",
        logarithmBase: 10,
        minorTickCount: void 0,
        showCustomBoundaryTicks: true,
        startValue: void 0,
        endValue: void 0,
        showMinorTicks: true,
        minorTickInterval: {},
        majorTickInterval: {
            years: void 0,
            months: void 0,
            days: void 0,
            hours: void 0,
            minutes: void 0,
            seconds: void 0,
            milliseconds: void 0
        },
        tickInterval: {},
        useTicksAutoArrangement: true,
        setTicksAtUnitBeginning: true,
        placeholderHeight: void 0,
        minRange: {},
        maxRange: {},
        label: {
            visible: true,
            format: void 0,
            precision: void 0,
            customizeText: void 0,
            topIndent: 7,
            font: {
                color: "#767676",
                size: 11,
                family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
                weight: 400,
                opacity: void 0
            }
        },
        tick: {
            width: 1,
            color: "#000000",
            opacity: .1
        },
        minorTick: {
            width: 1,
            color: "#000000",
            opacity: .06,
            visible: true
        },
        marker: {
            visible: true,
            separatorHeight: 33,
            topIndent: 10,
            textLeftIndent: 7,
            textTopIndent: 11,
            label: {
                format: "",
                customizeText: void 0
            }
        },
        categories: []
    },
    sliderMarker: {
        visible: true,
        format: void 0,
        precision: void 0,
        customizeText: void 0,
        padding: 6,
        paddingTopBottom: 2,
        paddingLeftRight: 4,
        color: "#9B9B9B",
        invalidRangeColor: "red",
        placeholderSize: {
            width: {
                left: void 0,
                right: void 0
            },
            height: void 0
        },
        placeholderHeight: void 0,
        font: {
            color: "white",
            size: 14,
            family: "'Segoe UI', 'Helvetica Neue', 'Trebuchet MS', Verdana",
            weight: 400,
            opacity: void 0
        }
    },
    sliderHandle: {
        color: "#000000",
        width: 1,
        opacity: .2
    },
    shutter: {
        color: void 0,
        opacity: .75
    },
    selectedRange: {
        startValue: void 0,
        endValue: void 0
    },
    selectedRangeColor: "#606060",
    indent: {
        left: void 0,
        right: void 0
    },
    behavior: {
        animationEnabled: true,
        snapToTicks: true,
        moveSelectedRangeByClick: true,
        manualRangeSelectionEnabled: true,
        allowSlidersSwap: true,
        callSelectedRangeChanged: "onMovingComplete"
    },
    background: {
        visible: true,
        color: "#C0BAE1",
        image: {
            url: void 0,
            location: "full"
        }
    },
    tooltip: void 0,
    chart: {
        commonSeriesSettings: void 0,
        bottomIndent: 0,
        topIndent: .1,
        dataPrepareSettings: {
            checkTypeForAllData: false,
            convertToAxisDataType: true,
            sortingMethod: true
        },
        useAggregation: false,
        valueAxis: {
            min: void 0,
            max: void 0,
            inverted: false,
            valueType: void 0,
            type: "continuous",
            logarithmBase: 10
        },
        series: void 0,
        equalBarWidth: true,
        barWidth: void 0,
        negativesAsZeroes: false,
        palette: []
    },
    dataSource: void 0,
    dataSourceField: void 0,
    onSelectedRangeChanged: null,
    containerBackgroundColor: "#FFFFFF",
    seriesTemplate: {
        nameField: "series",
        customizeSeries: function() {}
    },
    getSelectedRange: function() {},
    setSelectedRange: function() {},
    render: function(skipChartAnimation) {}
};
